Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040591
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformtrivialhave not tried2019-04-11 09:422019-05-21 15:16
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision17fff2db996a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040591: deprecate OBDal getReadableClientsInClause and getReadableOrganizationsInClause

DescriptionThere are two methods in OBDAl, getReadableClientsInClause and getReadableOrganizationsInClause, that are intended to be used in SQL/HQL where clauses generated by string concatenation rather than using bind parameters.

These two methods should be deprecated and its users moved to bind-paramters.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0040580 closedalostale Openbravo ERP AlertActionHandler.countActiveAlerts is not using bind-parameters 
depends on defect 0039879 closedrqueralta Retail Modules ExternalOrderLoader should search entities based on POS Terminal Org instead of user readable orgs 
blocks design defect 0038136 acknowledgedplatform Openbravo ERP Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111078)
hgbot (developer)
2019-04-11 10:33

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2a60af33416a6ef5d4147b35648d5883185f66c4
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 11 10:29:57 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2a60af33416a6ef5d4147b35648d5883185f66c4 [^]

related to issue 40591: don't use deprecated OBDal.getReadableClientsInClause

---
M src/org/openbravo/retail/posterminal/ExternalOrderLoader.java
---
(0111079)
hgbot (developer)
2019-04-11 10:33

Repository: erp/devel/pi
Changeset: 17fff2db996a83b371093b60f81e14f9c87f106e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 11 10:28:24 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/17fff2db996a83b371093b60f81e14f9c87f106e [^]

fixed issue 40591: deprecate OBDal methods to compose sql in clauses

  Bind parameters should be used instead.

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
M src-test/src/org/openbravo/test/dal/DalComplexQueryTestOrderLine.java
M src-test/src/org/openbravo/test/dal/DalPerformanceExampleTest.java
M src/org/openbravo/dal/service/OBDal.java
---
(0111080)
hgbot (developer)
2019-04-11 11:32

Repository: erp/devel/pi
Changeset: c51687516a3d0d6a17f42e2e1f2ffe2158ed899f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 11 11:32:25 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c51687516a3d0d6a17f42e2e1f2ffe2158ed899f [^]

related to issue 40591: fixed test query

---
M src-test/src/org/openbravo/test/dal/DalComplexQueryTestOrderLine.java
---
(0111092)
caristu (developer)
2019-04-12 08:19

Reviewed
(0111970)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0111971)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-11 09:42 alostale New Issue
2019-04-11 09:42 alostale Assigned To => platform
2019-04-11 09:42 alostale Modules => Core
2019-04-11 09:42 alostale Triggers an Emergency Pack => No
2019-04-11 09:43 alostale Relationship added depends on 0040580
2019-04-11 09:43 alostale Relationship added depends on 0039879
2019-04-11 09:45 alostale Relationship added blocks 0038136
2019-04-11 10:12 alostale Assigned To platform => alostale
2019-04-11 10:13 alostale Review Assigned To => caristu
2019-04-11 10:33 hgbot Checkin
2019-04-11 10:33 hgbot Note Added: 0111078
2019-04-11 10:33 hgbot Checkin
2019-04-11 10:33 hgbot Note Added: 0111079
2019-04-11 10:33 hgbot Status new => resolved
2019-04-11 10:33 hgbot Resolution open => fixed
2019-04-11 10:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/17fff2db996a83b371093b60f81e14f9c87f106e [^]
2019-04-11 10:34 alostale Summary deprecate OBDAl getReadableClientsInClause and getReadableOrganizationsInClause => deprecate OBDal getReadableClientsInClause and getReadableOrganizationsInClause
2019-04-11 11:32 hgbot Checkin
2019-04-11 11:32 hgbot Note Added: 0111080
2019-04-12 08:19 caristu Note Added: 0111092
2019-04-12 08:19 caristu Status resolved => closed
2019-04-12 08:19 caristu Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111970
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111971


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker